


#level 8
execute if score !stage mission matches 600 if entity @a[tag=seen_start_text,limit=1] run scoreboard players set !stage mission 709
execute if score !stage mission matches 600 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"The gang is coming","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 630 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"We need to defend our base","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 670 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"Use your new pistol","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 710 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"Climb the ladder and shoot from there","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 710 run summon armor_stand 52.51 147.00 -131.56 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !stage mission matches 710 run tag @s add seen_start_text
execute if score !stage mission matches 710 run bossbar set mission name {"text":"Reach the lookout point located on the roof","color":"gold"}

execute if score !stage mission matches 512..710 run tp @s ~ ~ ~ facing entity @e[tag=talk_stand,limit=1]
execute if score !stage mission matches 512.. if entity @s[scores={fancy_tp_stage=-1}] unless entity @s[x=45,y=141,z=-139,dx=13,dy=13,dz=21] run scoreboard players set !fail_reason other 2
execute if score !stage mission matches 512..710 if entity @s[scores={fancy_tp_stage=-1,title_timer=..0}] run scoreboard players add !stage mission 1

#all waves
execute if score !stage mission matches 712..1600 if entity @s[scores={fancy_tp_stage=-1,title_timer=..0}] run scoreboard players add !stage mission 1
execute as @e[tag=fake_pos] at @s run tp @s ^ ^ ^0.06 facing entity @e[tag=go_to,limit=1]
execute as @e[tag=fake_pos] at @s unless entity @e[distance=0..0.3,tag=hostile,limit=1] run kill @s
execute as @e[tag=hostile] at @s at @e[distance=0..0.3,tag=fake_pos,sort=nearest,limit=1] run tp @s ~ ~ ~
execute as @e[tag=hostile] at @s if entity @s[x=41,y=141,z=-137,dx=30,dy=2,dz=30] run scoreboard players set !fail_reason other 9

#win
execute if score !stage mission matches 1600.. unless entity @e[tag=hostile] run function we:mission_completed

#the waves
execute if score !stage mission matches 713 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 713 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 720 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 720 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 745 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 745 run summon stray 52.43 140.50 -180.51 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 773 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 773 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 809 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 809 run summon stray 52.43 140.50 -180.51 {Health:20f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 817 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 817 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 873 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 873 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1000 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1000 run summon stray 52.43 140.50 -180.51 {Health:16f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1040 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1040 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1060 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1060 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1200 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1200 run summon stray 52.43 140.50 -180.51 {Health:9f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1270 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1270 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1300 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1300 run summon stray 52.43 140.50 -180.51 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1330 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1330 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1400 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1400 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1420 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1420 run summon stray 52.43 140.50 -180.51 {Health:13f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1450 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1450 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1420 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1420 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1500 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1500 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1520 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1520 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1530 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1530 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1540 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1540 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1570 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1570 run summon stray 52.43 140.50 -180.51 {Health:3f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

execute if score !stage mission matches 1600 run summon armor_stand 52.47 140.50 -180.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 1600 run summon stray 52.43 140.50 -180.51 {Health:12f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:7s}]}},{id:"minecraft:shield",Count:1b}],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}


